Skip to content

Complete SAML login

POST
/api/v1/auth/saml/acs
curl --request POST \
--url https://osctrl.net/api/v1/auth/saml/acs \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data SAMLResponse=example \
--data RelayState=example

Handles the SAML assertion consumer service callback and creates an API session.

Media typeapplication/x-www-form-urlencoded
object
SAMLResponse

SAML response assertion

string
RelayState

SAML relay state

string
Examplegenerated
SAMLResponse=example&RelayState=example

OK

Media typeapplication/json
string
Examplegenerated
example

Found

Media typeapplication/json
string
Examplegenerated
example

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}